%define oname   unf_ext

Name:       ruby-%{oname}
Version:    0.0.7.1
Release:    %mkrel 1
Summary:    Unicode Normalization Form support library for CRuby
License:    MIT
Group:      Development/Ruby
URL:        http://github.com/knu/ruby-unf_ext
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel

%description
Unicode Normalization Form support library for CRuby.

%files
%{gem_instdir}/
%{gem_extdir_mri}
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc LICENSE.txt
%doc README.md
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Sun Dec 20 2015 pterjan <pterjan> 0.0.7.1-1.mga6
+ Revision: 912405
- Update to 0.0.7.1

* Wed Oct 15 2014 umeabot <umeabot> 0.0.6-8.mga5
+ Revision: 740350
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.6-7.mga5
+ Revision: 688993
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 0.0.6-6.mga4
+ Revision: 562606
- Fix gem macros

* Tue Dec 24 2013 pterjan <pterjan> 0.0.6-5.mga4
+ Revision: 560551
- Update for new binary extensions location

* Mon Oct 21 2013 umeabot <umeabot> 0.0.6-4.mga4
+ Revision: 538233
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 pterjan <pterjan> 0.0.6-3.mga4
+ Revision: 489063
- Use gem_setup and drop no longer needed patch
- Put the extension at the expected place
- Rebuild for Ruby 2

* Mon Sep 09 2013 pterjan <pterjan> 0.0.6-2.mga4
+ Revision: 476486
- Fix file list
- Patch gemspec to build without being inside a git checkout

* Tue May 28 2013 fwang <fwang> 0.0.6-1.mga4
+ Revision: 429386
- new version 0.0.6

* Fri Feb 08 2013 umeabot <umeabot> 0.0.5-3.mga3
+ Revision: 396599
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.0.5-2.mga3
+ Revision: 381620
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 0.0.5-1.mga3
+ Revision: 313298
- update file list
- imported package ruby-unf_ext

